Subject: linux-next: manual merge of the spi tree with the mfd tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 18 Mar 2011 15:40:17 +1100

Hi Grant,

Today's linux-next merge of the spi tree got a conflict in
drivers/gpio/Kconfig between commit 390ff13830e5 ("gpio: Add Tunnel Creek
support to sch_gpio") from the mfd tree and commit 61ab3fe57e45 ("gpio;
Make Intel chipset gpio drivers depend on x86") from the spi tree.

Just context changes.  I fixed it up (see below) and can carry the fix as
necessary.  I am assuming that the Tunnel Creek stuff should also depend
on X86?
-- 
Cheers,
Stephen Rothwell                    [email-masked]

diff --cc drivers/gpio/Kconfig
index 7ef9108,b46442d..0000000
--- a/drivers/gpio/Kconfig
+++ b/drivers/gpio/Kconfig
@@@ -100,8 -100,8 +100,8 @@@ config GPIO_VR41X
  	  Say yes here to support the NEC VR4100 series General-purpose I/O Uint
  
  config GPIO_SCH
 -	tristate "Intel SCH GPIO"
 +	tristate "Intel SCH/TunnelCreek GPIO"
- 	depends on GPIOLIB && PCI
+ 	depends on GPIOLIB && PCI && X86
  	select MFD_CORE
  	select LPC_SCH
  	help